package standby

import (
	"context"
	"game-driver/internal/schema"
	"game-driver/pkg/browser"
	"game-driver/pkg/utils"
	"go.uber.org/zap"
)

func Web(item schema.WaitItemModel) func(c context.Context) error {
	return func(c context.Context) error {
		zap.S().Infoln("打开待机网页")

		// 控制背光
		utils.BlankOpen()
		defer utils.BlankClose()

		browser.OpenApp(c, item.Data)
		return nil
	}
}
